Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp
Class IMPJobManager

    java.lang.Object
      de.grogra.imp.IMPJobManager

All Implemented Interfaces:
  XAListener, Context, JobManager, java.lang.Runnable, java.util.concurrent.Executor

    public final class IMPJobManager

extends java.lang.Object
implements JobManager, java.lang.Runnable, XAListener, java.util.concurrent.Executor

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.pf.ui.JobManager
`JobManager.ExecutionListener`

Nested classes/interfaces inherited from interface de.grogra.persistence.XAListener
`XAListener.WeakDelegate`

Field Summary

Fields inherited from interface de.grogra.pf.ui.JobManager
`ACTION_FLAGS, PRIORITY_MASK, QUIET, RENDER_FLAGS, RENDER_PRIORITY, UI_PRIORITY, UPDATE_FLAGS, UPDATE_PRIORITY`

Method Summary
`void` | `addExecutionListener(JobManager.ExecutionListener listener)`
`void` | `cancelQueuedJob(Command object)`
`void` | `cancelTimedJob(Command object)`
`void` | `execute(Command cmd, java.lang.Object info, Context ctx, int flags)`
`void` | `execute(java.lang.Runnable r)`
`java.lang.Object` | `getComponent()` Determines the GUI component of this GUI context.
`java.lang.Thread` | `getMainThread()`
`long` | `getNextInvocationTime()`
`Panel` | `getPanel()` Determines the panel of this GUI context.
`ThreadContext` | `getThreadContext()`
`Window` | `getWindow()` Determines the window of this GUI context.
`Workbench` | `getWorkbench()` Determines the workbench of this GUI context.
`boolean` | `hasJobQueued(int minPriority)`
`boolean` | `hasTimedJobQueued()`
`void` | `removeExecutionListener(JobManager.ExecutionListener listener)`
`void` | `run()`
`void` | `runAt(long time, Command object, java.lang.Object info, Context ctx)`
`void` | `runBlocking(java.lang.Runnable r)`
`void` | `runLater(Command command, java.lang.Object info, Context ctx, int flags)`
`void` | `runLater(long delay, Command object, java.lang.Object info, Context ctx)`
`void` | `transactionApplied(Transaction.Data xa, boolean rollback)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addExecutionListener

    public void addExecutionListener(JobManager.ExecutionListener listener)

  Specified by:
    `addExecutionListener` in interface `JobManager`

### cancelQueuedJob

    public void cancelQueuedJob(Command object)

  Specified by:
    `cancelQueuedJob` in interface `JobManager`

### cancelTimedJob

    public void cancelTimedJob(Command object)

  Specified by:
    `cancelTimedJob` in interface `JobManager`

### execute

    public final void execute(Command cmd,
                              java.lang.Object info,
                              Context ctx,
                              int flags)

  Specified by:
    `execute` in interface `JobManager`

### execute

    public void execute(java.lang.Runnable r)

  Specified by:
    `execute` in interface `java.util.concurrent.Executor`

### getComponent

    public java.lang.Object getComponent()

  Description copied from interface: `Context`
  Determines the GUI component of this GUI context.

  Specified by:
    `getComponent` in interface `Context`
  Returns:
    this context's component

### getMainThread

    public java.lang.Thread getMainThread()

  Specified by:
    `getMainThread` in interface `JobManager`

### getNextInvocationTime

    public long getNextInvocationTime()

### getPanel

    public Panel getPanel()

  Description copied from interface: `Context`
  Determines the panel of this GUI context.

  Specified by:
    `getPanel` in interface `Context`
  Returns:
    this context's panel

### getThreadContext

    public ThreadContext getThreadContext()

  Specified by:
    `getThreadContext` in interface `JobManager`

### getWindow

    public Window getWindow()

  Description copied from interface: `Context`
  Determines the window of this GUI context.

  Specified by:
    `getWindow` in interface `Context`
  Returns:
    this context's window

### getWorkbench

    public Workbench getWorkbench()

  Description copied from interface: `Context`
  Determines the workbench of this GUI context.

  Specified by:
    `getWorkbench` in interface `Context`
  Returns:
    this context's workbench

### hasJobQueued

    public boolean hasJobQueued(int minPriority)

  Specified by:
    `hasJobQueued` in interface `JobManager`

### hasTimedJobQueued

    public boolean hasTimedJobQueued()

  Specified by:
    `hasTimedJobQueued` in interface `JobManager`

### removeExecutionListener

    public void removeExecutionListener(JobManager.ExecutionListener listener)

  Specified by:
    `removeExecutionListener` in interface `JobManager`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### runAt

    public void runAt(long time,
                      Command object,
                      java.lang.Object info,
                      Context ctx)

  Specified by:
    `runAt` in interface `JobManager`

### runBlocking

    public void runBlocking(java.lang.Runnable r)

  Specified by:
    `runBlocking` in interface `JobManager`

### runLater

    public void runLater(Command command,
                         java.lang.Object info,
                         Context ctx,
                         int flags)

  Specified by:
    `runLater` in interface `JobManager`

### runLater

    public void runLater(long delay,
                         Command object,
                         java.lang.Object info,
                         Context ctx)

  Specified by:
    `runLater` in interface `JobManager`

### transactionApplied

    public void transactionApplied(Transaction.Data xa,
                                   boolean rollback)

  Specified by:
    `transactionApplied` in interface `XAListener`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD